org.gjt.sp.jedit

## Class Macros.Recorder

- java.lang.Object
- - org.gjt.sp.jedit.Macros.Recorder

Enclosing class:
  Macros

    public static class Macros.Recorder
    extends java.lang.Object

Handles macro recording.

### Constructor Summary

Constructors
Constructor and Description
`Macros.Recorder(View view, Buffer buffer, boolean temporary)`

### Method Summary

Methods
`void` `handleBufferUpdate(BufferUpdate bmsg)`
`void` `record(int repeat, java.lang.String code)`
`void` `record(java.lang.String code)`
`void` `recordInput(int repeat, char ch, boolean overwrite)`
`void` `recordInput(java.lang.String str, boolean overwrite)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Macros.Recorder

    public Macros.Recorder(View view,
                   Buffer buffer,
                   boolean temporary)

### Method Detail

#### record

    public void record(java.lang.String code)

#### record

    public void record(int repeat,
              java.lang.String code)

#### recordInput

    public void recordInput(int repeat,
                   char ch,
                   boolean overwrite)

Since:
  jEdit 4.2pre5

#### recordInput

    public void recordInput(java.lang.String str,
                   boolean overwrite)

Since:
  jEdit 4.2pre5

#### handleBufferUpdate

    public void handleBufferUpdate(BufferUpdate bmsg)